2020-08-06 09:14 CEST

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0006404Spring engineGeneralpublic2020-07-10 08:58
Reporterbuumi 
Assigned ToKloot 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version104.0 +git 
Summary0006404: 104.0.1-1510-g89bb8e3: SetUnitSensorRadius(unitID, "airLos", value) is setting both los and airLos
DescriptionWe noticed in Spring 1944 that calling
SetUnitSensorRadius(unitID, "airLos", defaultLos)
is setting both "airLos" and "los" while
SetUnitSensorRadius(unitID, "los", defaultLos)
is only setting "los".

Relevant code section seems to be here:
https://github.com/spring/spring/blob/develop/rts/Lua/LuaSyncedCtrl.cpp#L2492

It feels a bit weird behaviour and took some time to notice where our problem was. After finding the issue it was still "solvable" so it's not that critical. In case it is actually wanted behaviour, then feel free to close this issue.

Steps To ReproduceSpring.Echo("Setting los to: " .. 100)
SetUnitSensorRadius(unitID, "los", 100)
Spring.Echo("Setting airLos to: " .. 5)
SetUnitSensorRadius(unitID, "airLos", 5)

Spring.Echo("airLos after writing is: " .. GetUnitSensorRadius(unitID, "airLos"))
Spring.Echo("los after writing is: " .. GetUnitSensorRadius(unitID, "los"))
Additional InformationPR discussion from S44: https://github.com/spring1944/spring1944/pull/364
TagsNo tags attached.
Checked infolog.txt for ErrorsIrrelevant
Attached Files

-Relationships
+Relationships

-Notes

~0020461

Anonymous (viewer)

Fix 98e256dbe5c05f83f6c61a6392e34728dd3cc8ec committed to develop branch: fix 0006404, repo: spring changeset id: 37920

~0020462

Anonymous (viewer)

Fix 3737eb223d4acab8dcd235ddfd3e5bc54c6954a3 committed to maintenance branch: fix 0006404, repo: spring changeset id: 37921
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2020-07-09 10:41 buumi New Issue
2020-07-10 00:31 Changeset attached => spring develop 98e256db
2020-07-10 00:31 Anonymous Note Added: 0020461
2020-07-10 00:31 Changeset attached => spring maintenance 3737eb22
2020-07-10 00:31 Anonymous Note Added: 0020462
2020-07-10 08:58 Kloot Assigned To => Kloot
2020-07-10 08:58 Kloot Status new => resolved
2020-07-10 08:58 Kloot Resolution open => fixed
2020-07-10 08:58 Kloot Fixed in Version => 104.0 +git
+Issue History